SystemOrganization addCategory: #'tODE-Metacello'!

!TOSystem methodsFor: '*tode-metacello' stamp: 'dkh 6/3/2011 16:06'!
configurationRoot

	^MBConfigurationRoot current! !

TOView subclass: #TOMetacello
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'tODE-Metacello'!

!TOMetacello methodsFor: 'accessing' stamp: 'dkh 6/3/2011 16:06'!
configurationName
	self currentSystem configurationRoot configurations
		do: [ :config | 
			config packages
				do: [ :pkg | 
					pkg basePackageName = self packageName
						ifTrue: [ ^ config name ] ] ].
	^ ''! !

!TOMetacello methodsFor: 'accessing' stamp: 'dkh 5/30/2011 21:35'!
packageName

MCWorkingCopy managersForClass: self theClass do: [:wc | 
  ^wc packageName ].
^''! !

!TOMetacello methodsFor: 'rendering' stamp: 'dkh 6/3/2011 17:06'!
renderContentOn: html main: main
	true
		ifTrue: [ ^html text: 'Under construction' ].
	html text: 'Package: '.
	html strong: self packageName.
	html break.
	html text: 'Configuration: '.
	html strong: self configurationName! !

!Object methodsFor: '*tode-metacello' stamp: 'dkh 6/3/2011 17:06'!
renderMetacelloTabOn: html spec: aTOTabSpec tOdeMain: main

	aTOTabSpec renderer renderContentOn: html main: main! !

!Object methodsFor: '*tode-metacello' stamp: 'dkh 5/30/2011 21:03'!
tODEMetacelloTabSpec
	<tODECenterTabSpec>

	^ (TOTabSpec new)
		id: #metacello;
		rendererClass: TOMetacello;
		receiver: self;
		label: 'metacello';
		order: 70;
		group: 'development';
		renderSelector: #renderMetacelloTabOn:spec:tOdeMain:! !
